# Fn<> DefaultFinder
Default Finder specialization type.

Defined in | <seqan/find.h>
Signature | `DefaultFinder<THaystack>::Type;`

## Template Parameters

`THaystack` | The given haystack type.

## Return Values

`Type` | The Finder specialization. By default, this is `void` and `FinderMlr` is an Index.

#### Dox Sources

    /*!
     * @mfn DefaultFinder
     *
     * @headerfile <seqan/find.h>
     *
     * @brief Default @link Finder @endlink specialization type.
     *
     * @signature DefaultFinder<THaystack>::Type;
     *
     * @tparam THaystack The given haystack type.
     *
     * @return Type The Finder specialization. By default, this is <tt>void</tt> and
     *              <tt>FinderMlr</tt> is an @link Index @endlink.
     */